org.hibernate.validator.internal.xml

## Class DefaultValidatedExecutableTypesType

- java.lang.Object
- - org.hibernate.validator.internal.xml.DefaultValidatedExecutableTypesType

-     public class DefaultValidatedExecutableTypesType
      extends Object

  Java class for default-validated-executable-typesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="default-validated-executable-typesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="executable-type" maxOccurs="unbounded">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="NONE"/>
                     <enumeration value="CONSTRUCTORS"/>
                     <enumeration value="NON_GETTER_METHODS"/>
                     <enumeration value="GETTER_METHODS"/>
                     <enumeration value="ALL"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExecutableType>` | `executableType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidatedExecutableTypesType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExecutableType>` | `getExecutableType()` Gets the value of the executableType property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### executableType

          protected List<ExecutableType> executableType

  - ### Constructor Detail

    - #### DefaultValidatedExecutableTypesType

          public DefaultValidatedExecutableTypesType()

  - ### Method Detail

    - #### getExecutableType

          public List<ExecutableType> getExecutableType()

      Gets the value of the executableType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the executableType property.

      For example, to add a new item, do as follows:

              getExecutableType().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved